<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtwindowsystem_x11.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Классы</a> &#124;
<a href="#typedef-members">Определения типов</a>  </div>
  <div class="headertitle">
<div class="title">Файл qxtwindowsystem_x11.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="qxtwindowsystem_8h_source.html">qxtwindowsystem.h</a>&quot;</code><br />
<code>#include &lt;QLibrary&gt;</code><br />
<code>#include &lt;QX11Info&gt;</code><br />
<code>#include &lt;X11/Xutil.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Граф включаемых заголовочных файлов для qxtwindowsystem_x11.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="qxtwindowsystem__x11_8cpp__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtwindowsystem__x11_8cpp" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtwindowsystem__x11_8cpp" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtwindowsystem__x11_8cpp">
<area shape="rect" title=" " alt="" coords="177,5,406,91"/>
<area shape="rect" href="qxtwindowsystem_8h.html" title=" " alt="" coords="23,139,176,165"/>
<area shape="rect" title=" " alt="" coords="201,139,278,165"/>
<area shape="rect" title=" " alt="" coords="302,139,385,165"/>
<area shape="rect" title=" " alt="" coords="409,139,502,165"/>
<area shape="rect" title=" " alt="" coords="5,213,84,240"/>
<area shape="rect" href="qxtglobal_8h.html" title=" " alt="" coords="108,213,203,240"/>
<area shape="rect" title=" " alt="" coords="116,288,195,315"/>
</map>
</div>
</div>
<p><a href="qxtwindowsystem__x11_8cpp_source.html">См. исходные тексты.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Классы</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structXScreenSaverInfo.html">XScreenSaverInfo</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Определения типов</h2></td></tr>
<tr class="memitem:a8d2448231092179acaa1b9b6fb305a58"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structXScreenSaverInfo.html">XScreenSaverInfo</a> *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qxtwindowsystem__x11_8cpp.html#a8d2448231092179acaa1b9b6fb305a58">XScreenSaverAllocInfo</a>) ()</td></tr>
<tr class="separator:a8d2448231092179acaa1b9b6fb305a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab14cb7f40d2d6730b7b01b608aaec649"><td class="memItemLeft" align="right" valign="top">typedef Status(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qxtwindowsystem__x11_8cpp.html#ab14cb7f40d2d6730b7b01b608aaec649">XScreenSaverQueryInfo</a>) (<a class="el" href="x11info_8h.html#a8eac9cd918bbb974619385adffa7c81b">Display</a> *display, Drawable drawable, <a class="el" href="structXScreenSaverInfo.html">XScreenSaverInfo</a> *info)</td></tr>
<tr class="separator:ab14cb7f40d2d6730b7b01b608aaec649"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Типы</h2>
<a id="a8d2448231092179acaa1b9b6fb305a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d2448231092179acaa1b9b6fb305a58">&#9670;&nbsp;</a></span>XScreenSaverAllocInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structXScreenSaverInfo.html">XScreenSaverInfo</a>*(* XScreenSaverAllocInfo) ()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__x11_8cpp_source.html">qxtwindowsystem_x11.cpp</a> строка <a class="el" href="qxtwindowsystem__x11_8cpp_source.html#l00158">158</a></p>

</div>
</div>
<a id="ab14cb7f40d2d6730b7b01b608aaec649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab14cb7f40d2d6730b7b01b608aaec649">&#9670;&nbsp;</a></span>XScreenSaverQueryInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef Status(* XScreenSaverQueryInfo) (<a class="el" href="x11info_8h.html#a8eac9cd918bbb974619385adffa7c81b">Display</a> *display, Drawable drawable, <a class="el" href="structXScreenSaverInfo.html">XScreenSaverInfo</a> *info)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__x11_8cpp_source.html">qxtwindowsystem_x11.cpp</a> строка <a class="el" href="qxtwindowsystem__x11_8cpp_source.html#l00159">159</a></p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
